Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.security.assertion
Class ElementConfidentialityAssertion

    java.lang.Object
      weblogic.xml.security.assertion.ConfidentialityAssertion
          weblogic.xml.security.assertion.ElementConfidentialityAssertion

All Implemented Interfaces:
  ElementAssertion, SecurityAssertion

Deprecated. please use new WS Security API

    public class ElementConfidentialityAssertion

extends ConfidentialityAssertion
implements ElementAssertion

${FILE} Created: Oct 6, 2002, 6:58:16 PM by pdapkus

Field Summary

Fields inherited from class weblogic.xml.security.assertion.ConfidentialityAssertion
`id`

Fields inherited from interface weblogic.xml.security.assertion.ElementAssertion
`BODY, HEADER`

Fields inherited from interface weblogic.xml.security.SecurityAssertion
`CONFIDENTIALITY_ASSERTION, CONFIDENTIALITY_CODE, IDENTITY_ASSERTION, IDENTITY_CODE, INTEGRITY_ASSERTION, INTEGRITY_CODE, TYPE_CONFIDENTIALITY_ASSERTION, TYPE_CONFIDENTIALITY_CODE, TYPE_INTEGRITY_ASSERTION, TYPE_INTEGRITY_CODE`

Constructor Summary
`ElementConfidentialityAssertion(String localName, String namespace, String restriction)` Deprecated.

Method Summary
`String` | `getAssertionType()` Deprecated. `getAssertionType` returns the type of the assertion (e.g.
`int` | `getAssertionTypeCode()` Deprecated. Returns an integer that uniquely identifies the type of assertion.
`String` | `getElementLocalName()` Deprecated. Returns the LocalName of the Elements covered by this assertion.
`QName` | `getElementName()` Deprecated. Returns the name of the Elements covered by this assertion.
`String` | `getElementNamespace()` Deprecated. Returns the namespace of the elements covered by this assertion.
`String` | `getRestriction()` Deprecated. Get the restriction for the current assertion (i.e.
`boolean` | `isAssertionType(String assertionType)` Deprecated. `isAssertionType` tests to see whether the type of the assertion matches the passed in type.
`boolean` | `satisfies(ElementIdentifier spec)` Deprecated. Returns true if assertion covers the elements identified by the ElementIdentifier.
`String` | `toString()` Deprecated.

Methods inherited from class weblogic.xml.security.assertion.ConfidentialityAssertion
`getId, repudiable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementConfidentialityAssertion

    public ElementConfidentialityAssertion(String localName,
                                           String namespace,
                                           String restriction)

  Deprecated.

Method Detail

### getElementName

    public QName getElementName()

  Deprecated.
  Description copied from interface: `ElementAssertion`
  Returns the name of the Elements covered by this assertion.

  Specified by:
    `getElementName` in interface `ElementAssertion`
  Returns:

### getElementLocalName

    public String getElementLocalName()

  Deprecated.
  Description copied from interface: `ElementAssertion`
  Returns the LocalName of the Elements covered by this assertion.

  Specified by:
    `getElementLocalName` in interface `ElementAssertion`
  Returns:

### getElementNamespace

    public String getElementNamespace()

  Deprecated.
  Description copied from interface: `ElementAssertion`
  Returns the namespace of the elements covered by this assertion.

  Specified by:
    `getElementNamespace` in interface `ElementAssertion`
  Returns:

### getRestriction

    public String getRestriction()

  Deprecated.
  Description copied from interface: `ElementAssertion`
  Get the restriction for the current assertion (i.e. "body", "header", etc)

  Specified by:
    `getRestriction` in interface `ElementAssertion`
  Returns:

### isAssertionType

    public final boolean isAssertionType(String assertionType)

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  `isAssertionType` tests to see whether the type of the assertion matches the passed in type.

  Specified by:
    `isAssertionType` in interface `SecurityAssertion`
  Overrides:
    `isAssertionType` in class `ConfidentialityAssertion`
  Parameters:
    `assertionType` - a `String` value
  Returns:
    a `boolean` value indicating the match result.

### getAssertionType

    public final String getAssertionType()

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  `getAssertionType` returns the type of the assertion (e.g. identity, integrity, confidentiality) as a string.

  Specified by:
    `getAssertionType` in interface `SecurityAssertion`
  Overrides:
    `getAssertionType` in class `ConfidentialityAssertion`
  Returns:
    a `String` value representing the assertion type

### getAssertionTypeCode

    public final int getAssertionTypeCode()

  Deprecated.
  Description copied from interface: `SecurityAssertion`
  Returns an integer that uniquely identifies the type of assertion.

  Specified by:
    `getAssertionTypeCode` in interface `SecurityAssertion`
  Overrides:
    `getAssertionTypeCode` in class `ConfidentialityAssertion`
  Returns:

### satisfies

    public final boolean satisfies(ElementIdentifier spec)

  Deprecated.
  Description copied from interface: `ElementAssertion`
  Returns true if assertion covers the elements identified by the ElementIdentifier. ElementIdentifiers are used in Security specs to identify document elements that require security processing.

  Specified by:
    `satisfies` in interface `ElementAssertion`
  Returns:

### toString

    public final String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD